package edu.ucla.cs.SMOsTranslator.AlterTableTranslator;

import java.util.ArrayList;
import java.util.List;

import net.sf.jsqlparser.statement.Statement;
import net.sf.jsqlparser.statement.alter.table.AlterTableDropColumnStatement;
import edu.ucla.cs.SMOsTranslator.StatementTranslator;
import edu.ucla.cs.velocity.template.DropColumnTemplate;

public class AlterTableDropColumnStatementTranslator implements
		StatementTranslator {

	@Override
	public List<String> translateStatement(Statement stmt) {
		
		ArrayList<String> smos = new ArrayList<String>();
		AlterTableDropColumnStatement alterDrop = (AlterTableDropColumnStatement)stmt;
		
		smos.add(DropColumnTemplate.getDropColumnSMO(alterDrop.getColumn().getColumnName(), alterDrop.getTable().getName()));
		
		return smos;
	}

}
