package edu.ucla.cs.SMOsTranslator.DropTranslator;

import java.util.ArrayList;
import java.util.List;

import net.sf.jsqlparser.schema.Table;
import net.sf.jsqlparser.statement.Statement;
import net.sf.jsqlparser.statement.drop.DropTable;
import edu.ucla.cs.SMOsTranslator.StatementTranslator;
import edu.ucla.cs.velocity.template.DropTableTemplate;

public class DropTableStatementTranslator implements StatementTranslator {

	@Override
	public List<String> translateStatement(Statement stmt) {
		
		ArrayList<String> smos = new ArrayList<String>();		
		DropTable droptable = (DropTable)stmt;
		
		smos.addAll(DropTableTemplate.getDropTablesSMOs(((ArrayList<Table>)droptable.getTable())));
		
		return smos;
	}

}
