package edu.ucla.cs.SMOsTranslator.Rename;

import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import net.sf.jsqlparser.schema.Table;
import net.sf.jsqlparser.statement.Statement;
import net.sf.jsqlparser.statement.rename.RenameTable;
import edu.ucla.cs.SMOsTranslator.StatementTranslator;
import edu.ucla.cs.velocity.template.RenameTableTemplate;

public class RenameTableStatementTranslator implements StatementTranslator {

	@Override
	public List<String> translateStatement(Statement stmt) throws SQLException {
		ArrayList<String> smos = new ArrayList<String>();		
		RenameTable rename = (RenameTable)stmt;
		for(Table table : rename.getTableRenames().keySet())
			smos.add(RenameTableTemplate.getRenameTableSMO(table.getName(), rename.getTableRenames().get(table)));
		
		return smos;
	}

}
