package edu.ucla.cs.SMOsTranslator;

import java.sql.SQLException;
import java.util.List;

import net.sf.jsqlparser.statement.Statement;

/**
 * Interface to be implemented by each statement translator
 * @author fangar
 *
 */
public interface StatementTranslator {

	/**
	 * Translate the input SQL statement into the corresponding SMO syntax
	 * @param stmt
	 * @return
	 * @throws SQLException 
	 */
	public List<String> translateStatement(Statement stmt) throws SQLException;
	
	
}
