package edu.ucla.cs.db.prism.backend.SQL;

import java.io.Serializable;

public class Atom implements Serializable {
	static final long serialVersionUID = 0;
	 // atom is either rel.attr or a constant
	boolean constantFlag;
	String relationAlias;
	String attribute;
	String constant;
	
	public Atom(Boolean constantFlag, 
			String relationAlias, String attribute, String constant) {

			this.constantFlag = constantFlag;
			this.relationAlias = relationAlias;
			this.attribute = attribute;
			this.constant = constant;
	}
	
	public boolean getConstantFlag() {
		return constantFlag;
	}
	public String getRelationAlias() {
		return relationAlias;
	}
	public String getAttribute() {
		return attribute;
	}
	public String getConstant() {
		return constant;
	}
		
}
