package edu.ucla.cs.db.prism.backend.ded;

import edu.ucla.cs.db.prism.backend.smo.util.Conjunctive;

public class QuantifiedConjunctive {
	public QuantifierSet quantifiers; // this could be empty
	public Conjunctive conjunctive; // this could be empty
	
	public QuantifiedConjunctive() {
		quantifiers = new QuantifierSet();
		conjunctive = new Conjunctive();
	}
	
	@Override
	public QuantifiedConjunctive clone() {
		QuantifiedConjunctive qc = new QuantifiedConjunctive();
		qc.quantifiers = this.quantifiers.clone();
		qc.conjunctive = this.conjunctive.clone();
		return qc;
	}
	
	public void addAll(QuantifiedConjunctive qc2) {
		this.quantifiers.addAll(qc2.quantifiers);
		this.conjunctive.addAll(qc2.conjunctive);
	}
	
	public int size() {
		return conjunctive.size();
	}
	
	@Override
	public String toString() {
		String str = "";
		if(quantifiers.size() > 0)
			str += quantifiers.toString() + "\n";
		if(conjunctive.size() > 0)
			str += conjunctive.toString() + "\n";
		return str;
	}
}
