package edu.ucla.cs.db.prism.backend.ded;
import java.io.*;

public class Quantifier implements Serializable{
	static final long serialVersionUID = 1;
	public String type; // all or some
	public String variable;
	public String relation;

	public Quantifier(String type, String variable, String relation) {
		this.type = type;
		this.variable = variable;
		this.relation = relation;
	}
	
	@Override
	public Quantifier clone() {
		return new Quantifier(new String(this.type), new String(this.variable), new String(this.relation));
	}
	
	@Override
	public String toString() {
		return type + " (" + variable + " in " + relation + ")";
	}
}
