package edu.ucla.cs.db.prism.backend.rewrite;

import java.util.Vector;

import edu.ucla.cs.db.prism.backend.icmo.MOImpl;

public class QueryRewriteResultSet {
	
	public Vector<QueryRewriteResult> results = null;
	public String[] queries =null;
	
	public QueryRewriteResultSet(String[] queries){	
		results = new Vector<QueryRewriteResult>();
		this.queries = queries;
	}
	
	public void addQueryResult(MOImpl smo) {
		QueryRewriteResult q = new QueryRewriteResult(queries,smo.getTargetMajor(),smo.getTargetMinor());
		results.add(q);
	}

	public void remove(int index) {
		for(int i = index; i<results.size(); i++){
			QueryRewriteResult temp = results.elementAt(i);
			temp.computed = false;
			temp.minor--;
			
		}
		results.remove(index);
	}
	
}
