package edu.ucla.cs.db.prism.backend.rewrite.update;

import java.util.Vector;
import net.sf.jsqlparser.statement.Statement;
import net.sf.jsqlparser.statement.delete.Delete;
import net.sf.jsqlparser.statement.insert.Insert;
import net.sf.jsqlparser.statement.update.Update;

public class QueryBasedUpdateRep {

	Vector<QueryPair> querypairs = null;
	Statement statement = null;
	
	public QueryBasedUpdateRep(Statement statement){
		this.statement = statement;
		querypairs = new Vector<QueryPair>();
		
	}
	
	public boolean isUpdate(){
		if(statement instanceof Update)
			return true;
		return false;
	}
	
	public boolean isInsert(){
		if(statement instanceof Insert)
			return true;
		return false;
	}
	
	public boolean isDelete(){
		if(statement instanceof Delete)
			return true;
		return false;
	}
	
	public boolean add(QueryPair qp){
		return querypairs.add(qp);
	}
	
	public QueryPair getQp(int i){	
		return querypairs.elementAt(i);
	}

	
	public String toString(){
		String out = "";
		for(QueryPair q : querypairs){
			
			out += q.toString() + "\n";
			
		}
		
		return out;
		
	}
	
}
