package edu.ucla.cs.db.prism.backend.util;

import java.io.FileOutputStream;

import org.apache.log4j.HTMLLayout;
import org.apache.log4j.Level;
import org.apache.log4j.Logger;
import org.apache.log4j.WriterAppender;

public class Log4JHelper {

	/**
	 * Set up an HTML logging in the log.html log-file.
	 * @param logger the Logger
	 */
	public static void log4JSetup(Logger logger,Level level){
        HTMLLayout layout = new HTMLLayout();
        WriterAppender appender = null;
        try {
           FileOutputStream output = new FileOutputStream("log.html");
           appender = new WriterAppender(layout,output);
        } catch(Exception e) {}
        logger.addAppender(appender);
        logger.setLevel(level);		
	}
	
	public static void log4JSetup(Logger logger){
        HTMLLayout layout = new HTMLLayout();
        WriterAppender appender = null;
        try {
           FileOutputStream output = new FileOutputStream("log/log.html");
           appender = new WriterAppender(layout,output);
        } catch(Exception e) {}
        logger.addAppender(appender);
        logger.setLevel(Level.DEBUG);		
	}
	
}
