package edu.ucla.cs.db.prism.backend.util;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.IOException;
import java.io.OutputStream;
import java.io.OutputStreamWriter;

public class StreamHandlerStdin extends Thread
{
    OutputStream os;
    BufferedReader br;
    
    public StreamHandlerStdin(OutputStream os, BufferedReader br)
    {
        this.os = os;
        this.br = br;
    }
    
    @Override
	public void run()
    {
        try
        {
            OutputStreamWriter osw = new OutputStreamWriter(os);
            BufferedWriter bw = new BufferedWriter(osw);
            String line=null;
			int bufSize = 1024;
			char[] buffer = new char[bufSize];
			while(true) {
				int readBytes = br.read(buffer, 0, bufSize);
				if(readBytes == -1) break;
				if(bw != null)
					bw.write(buffer, 0, readBytes);
				//for(int i=0; i<readBytes; i++)
				//	System.out.print(buffer[i]);
			}
			bw.close();
        } catch (IOException ioe)
          {
            ioe.printStackTrace();  
          }
    }
}
