package edu.ucla.cs.db.prism.backend.xquery;
import java.util.Enumeration;
import java.util.Hashtable;
import java.util.Vector;

import edu.ucla.cs.db.prism.backend.util.DeepCopyMaker;

public class VarInfo {
	public Hashtable<String, VarInfoUnit> varInfo;
	
	public VarInfo() {
		varInfo = new Hashtable<String, VarInfoUnit>();
	}
	
	/*
	public VarInfo(VarInfo src) {
		varInfo = new Hashtable<String, VarInfoUnit>(src.varInfo);
	}
	
	public VarInfo clone() {
		return new VarInfo(this);
	}
	*/
	
	public VarInfo deepCopy() {
		VarInfo newVarInfo = new VarInfo();
		try{
			newVarInfo.varInfo = (Hashtable<String, VarInfoUnit>)DeepCopyMaker.makeDeepCopy(this.varInfo);
		}
		catch (Exception e) {
			e.printStackTrace();
		}
		return newVarInfo;
	}
	
	public void add(VarInfoUnit varInfoUnit) {
		varInfo.put(varInfoUnit.var, varInfoUnit);
	}
	
	public VarInfoUnit get(String var) {
		return varInfo.get(var);
	}
	
	public Vector<String> getVars() {
		Vector<String> allVars = new Vector<String>();
		for (Enumeration<VarInfoUnit> e = varInfo.elements(); e.hasMoreElements();)
			allVars.add(e.nextElement().var);
		return allVars;
	}
	
	@Override
	public String toString() {
		return varInfo.toString();
	}
}
