package edu.ucla.cs.db.prism.gui.client;

import java.io.Serializable;

public class ClientOperator implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	public int majorSourceVersion;
	public int minorSourceVersion;
	public int majorTargetVersion;
	public int minorTargetVersion;
	public int isComplete;
	
	public String text=null;
	public ClientOperator() {
	}
	public ClientOperator(int majorSourceVersion, int minorSourceVersion,
			int majorTargetVersion, int minorTargetVersion,String text, boolean isComplete){
		this.text = text;
		this.majorSourceVersion = majorSourceVersion;
		this.minorSourceVersion = minorSourceVersion;
		this.majorTargetVersion = majorTargetVersion;
		this.minorTargetVersion = minorTargetVersion;
		if(isComplete){
			this.isComplete = 1;
		}else{
			this.isComplete = 0;
		}
		
	}
	public int getMajorSourceVersion() {
		return majorSourceVersion;
	}
	public void setMajorSourceVersion(int majorSourceVersion) {
		this.majorSourceVersion = majorSourceVersion;
	}
	public int getMinorSourceVersion() {
		return minorSourceVersion;
	}
	public void setMinorSourceVersion(int minorSourceVersion) {
		this.minorSourceVersion = minorSourceVersion;
	}
	public int getMajorTargetVersion() {
		return majorTargetVersion;
	}
	public void setMajorTargetVersion(int majorTargetVersion) {
		this.majorTargetVersion = majorTargetVersion;
	}
	public int getMinorTargetVersion() {
		return minorTargetVersion;
	}
	public void setMinorTargetVersion(int minorTargetVersion) {
		this.minorTargetVersion = minorTargetVersion;
	}
	public String getText() {
		return text;
	}
	public void setText(String text) {
		this.text = text;
	}
	
	@Override
	public String toString(){
		return text;
	}
	
	public String toMetadataString(){
		return majorSourceVersion + ":" + minorSourceVersion + "-" + majorTargetVersion + ":" + minorTargetVersion + " "+text;
	}
	public String metadataStringOnly() {
		return majorSourceVersion + ":" + minorSourceVersion + "-" + majorTargetVersion + ":" + minorTargetVersion;
	}
}
