package edu.ucla.cs.db.prism.gui.client;

import java.util.Vector;

import com.google.gwt.user.client.rpc.RemoteService;

public interface PrimBackendService extends RemoteService {
	
	//trying to cleanup unused methods
	//	public ClientSchema getSchemaByVersion(int majorVersion, int minorVersion);
	//	public ClientSchema getSchemaByVersion(String dburltb,String  usertb, String metaSchemaName,String schemaName,int major,int minor);
	//public ClientSchema getSchemaByName(String dburl, String user, String password, String schemaName);
	//public ClientOperatorSequence getHistoricalSMO(String cookiekey);
	public String smoSyntaxCheck(String cookiekey, String smotext,int schemaIndex,boolean isInverse);
	public ClientSchema applySMO(String cookiekey, String smotext);
	public String informationPreservation(String cookie, String smotext,int schemaIndex);	
	public String startSession();
	public ClientOperatorSequence addMultipleSMO(String tempc, String[] smotext);
	public String setState(String key, ClientState cs);
	public ClientState getState(String cookie);
	public String closeSession(String cookie);
	public ClientSchema getCurrentSchema(String cookie,int schemaIndex);
	public ClientOperatorSequence addSMO(String tempc, String smotext);
	public String checkRedundancy(String cookiekey, String smotext);
	public ClientOperatorSequence getCurrentSMOs(String cookiekey);
	public ClientOperatorSequence removeSMO(String cookiekey, int index);
	public ClientOperatorSequence getInverseSMOs(String cookiekey);
	public ClientQueryRewriteResult[] getRewriteResult(String cookiekey);
	public SingleQueryRewriteResult rewriteQuery(String cookiekey, String query);
	public ClientOperatorSequence editSMO(String tempc, int index, String smoText);
	public ClientSchema getInverseSchema(String tempc, int index);
	public ClientSchema getInverseSchemaByVersion(String cookie,int major, int minor); 
	public String smoSyntaxCheckByVersion(String key, String smotext,int major,int minor, boolean isInverse);
	public ClientOperatorSequence editInverseSMO(String tempc, String text, int major, int minor);
	public String[] getViews(String cookiekey);
	public String[] getDM(String cookiekey);
	public String getDEDs(String cookiekey, boolean inverse);
	public Vector<ClientSchema> getExistingSchemaHistory(String cookie);
	public String compareExistingSchema(String cookie, int maj1,boolean checktype);

}

	