package edu.ucla.cs.dbevolution;

import edu.ucla.cs.Exceptions.RepositoryTypeUnknownException;

public class RepositoryFactory {

	
	
	public static Repository createRepository() throws RepositoryTypeUnknownException{
		//createDriver();
		if (ApplicationParameters.getRepoType().equals("cvs")) {
			return new CvsRepository();
		}
		else if (ApplicationParameters.getRepoType().equals("svn")) {
			return new SvnRepository();
		}
		throw new RepositoryTypeUnknownException();
	}
	
}
