package edu.ucla.cs.velocity.template;

import org.apache.velocity.Template;
import org.apache.velocity.VelocityContext;


public class JoinTableTemplate {

	
	private static Template getJoinTableTemplate(){
		return VelocityTemplateDispatcher.getVelocityTemplate("JoinTable.vm");
	}
	
	public static String getJoinTableSMO(JoinTemplateSource join){
		
		return getJoinTableSMO(join.getTable1(), join.getTable2(), join.getJoinedTable(), join.getWhereCondition()!=null?join.getWhereCondition().toString():"");
	}
	
	
	public static String getJoinTableSMO(String table1, String table2, String joinTable, String whereCondition){
		
		Template t = getJoinTableTemplate();
		VelocityContext context  = new VelocityContext();
		context.put("table1",table1);
		context.put("table2",table2);
		context.put("joinTable", joinTable);
		context.put("whereCondition", whereCondition);
		
		return VelocityTemplateDispatcher.mergeContextIntoString(context, t);
	}
	
		
	
}
