package edu.ucla.cs.velocity.template;

import net.sf.jsqlparser.expression.Expression;
import net.sf.jsqlparser.schema.Table;

public class JoinTemplateSource {

	private String table1;
	private String table2;
	private String whereCondition;
	private String joinedTable;
	
	public JoinTemplateSource(){
		
	};
	
	public JoinTemplateSource(Table t1, Table t2, Expression where, Table joined){
		table1 = t1.getName();
		table2 = t2.getName();
		whereCondition = where.toString();
		joinedTable = joined.getName();
	}
	
	public JoinTemplateSource(String t1, String t2, String tjoin, String expression){
		table1 = t1;
		table2 = t2;
		joinedTable = tjoin;
		whereCondition = expression;
	}
	
	
	public String getTable1() {
		return table1;
	}
	
	public void setTable1(Table table1) {
		this.table1 = table1.getName();
	}
	public void setTable1(String table1) {
		this.table1 = table1;
	}
	
	public String getTable2() {
		return table2;
	}
	
	public void setTable2(Table table2) {
		this.table2 = table2.getName();
	}
	public void setTable2(String table2) {
		this.table2 = table2;
	}
	public String getWhereCondition() {
		return whereCondition;
	}
	public void setWhereCondition(Expression whereCondition) {
		this.whereCondition = whereCondition.toString();
	}
	public void setWhereCondition(String whereCondition) {
		this.whereCondition = whereCondition;
	}
	public String getJoinedTable() {
		return joinedTable;
	}
	public void setJoinedTable(Table joinedTable) {
		this.joinedTable = joinedTable.getName();
	}
	public void setJoinedTable(String joinedTable) {
		this.joinedTable = joinedTable;
	}
	
	
	
}
