package edu.ucla.cs.velocity.template;

import org.apache.velocity.Template;
import org.apache.velocity.VelocityContext;


public class RenameColumnTemplate {

	
	private static Template getRenameColumnTemplate(){
		return VelocityTemplateDispatcher.getVelocityTemplate("RenameColumn.vm");
	}
	
	
	public static String getRenameColumnSMO(String columnName,String newColumnName, String tableName){
		
		Template t = getRenameColumnTemplate();
		VelocityContext context  = null;

		context = new VelocityContext();
		context.put("columnName",columnName);
		context.put("tableName",tableName);
		context.put("newColumnName", newColumnName);

		return VelocityTemplateDispatcher.mergeContextIntoString(context, t);
		
	}
	
	
}
