package edu.ucla.cs.SMOsTranslator.AlterTableTranslator;

import java.util.List;

import net.sf.jsqlparser.statement.Statement;
import net.sf.jsqlparser.statement.alter.table.AlterTableAddColumnStatement;
import edu.ucla.cs.SMOsTranslator.StatementTranslator;
import edu.ucla.cs.velocity.template.AddColumnTemplate;

public class AlterTableAddColumnStatementTranslator implements StatementTranslator {

	@Override
	public List<String> translateStatement(Statement stmt) {

		//in this case more than column can be added with the SQL statement
		//loop trough the column's definition and create a SMO for each column to add
		
		AlterTableAddColumnStatement addColumn = (AlterTableAddColumnStatement)stmt;
		String tableName = addColumn.getTable().getName();
		
		return AddColumnTemplate.getAddColumnsSMOs(addColumn.getColumnDefinitions(), tableName,null);		
	}
	
	
}
