package edu.ucla.cs.SMOsTranslator.CreateTranslator;

import java.util.ArrayList;
import java.util.List;

import net.sf.jsqlparser.statement.Statement;
import net.sf.jsqlparser.statement.create.table.CreateTable;
import edu.ucla.cs.SMOsTranslator.StatementTranslator;
import edu.ucla.cs.velocity.template.CreateTableTemplate;

/**
 * Translate a {@link CreateTable} statement
 * @author fangar
 *
 */
public class CreateTableStatementTranslator implements StatementTranslator {



	@Override
	public List<String> translateStatement(Statement stmt) {

		ArrayList<String> smos = new ArrayList<String>();

		CreateTable create = (CreateTable)stmt;

		smos.add(CreateTableTemplate.getCreateTableSMO(create));

		return smos;
	}

}
