package edu.ucla.cs.SMOsTranslator.SchemaTranslator;

import net.sf.jsqlparser.schema.datatypes.DataType;
import net.sf.jsqlparser.schema.datatypes.DateDataType;
import net.sf.jsqlparser.schema.datatypes.NumericDataType;
import net.sf.jsqlparser.schema.datatypes.StringDataType;

@Deprecated
/**
 * Implemented the toString method inside the DataType jsqlparser classes
 */
public class DataTypeTranslator {

	/**
	 * Translate the given data type 
	 * @param type
	 * @return
	 */
	public static String translateDataType(DataType type){
		
		String translation = "";
		int precision = 0;
		int scale =0;
		
		if(type instanceof NumericDataType){
			NumericDataType numeric = (NumericDataType)type;
			translation += numeric.getDataTypeName();

			precision += numeric.getPrecision();
			scale += numeric.getScale();
			
			if((precision != 0) && (scale ==0) ){
				translation += "(";
				translation += precision;
				translation += ")";
			}
			else if ((precision != 0) && (scale != 0)){
				translation += "(";
				translation += precision;
				translation += ",";
				translation += scale;
				translation += ")";
			}
		}
		else if(type instanceof DateDataType){
			DateDataType date = (DateDataType)type;
			translation += date.getDataTypeName(); 	
		}
		else if(type instanceof StringDataType){
			StringDataType stringType = (StringDataType)type;
			translation += stringType.getDataTypeName();
			if(stringType.getLength() != 0){
				translation += "(";
				translation += stringType.getLength();
				translation += ")";
			}
		}
		
		return translation;
		
		
	}
	
}
