package edu.ucla.cs.SMOsTranslator;

import java.util.ArrayList;
import java.util.List;

import net.sf.jsqlparser.statement.Statement;

public class TablesPerStatement {
	
	
	private List<String> tables;
	private Statement statement;
	private boolean translated;
	
	public TablesPerStatement(){
		tables = new ArrayList<String>();
		translated = false;
	}
	
	
	public TablesPerStatement(Statement stmt){
		this.statement = stmt;
		this.tables = new ArrayList<String>();
	}
	
	public List<String> getTables() {
		return tables;
	}
	
	public void setTables(ArrayList<String> tables){
		this.tables = tables;
	}
	
	
	public Statement getStatement() {
		return this.statement;
	}
	
	public void setStatement(Statement stmt) {
		this.statement = stmt;
	}
	
	public void addTableToStatement(String table){
		this.tables.add(table);
	}


	public boolean isTranslated() {
		return translated;
	}


	public void setTranslated(boolean translated) {
		this.translated = translated;
	}
	
	
	
	

}
