package edu.ucla.cs.SMOsTranslator.TestCase;

import junit.framework.TestCase;
import net.sf.jsqlparser.schema.datatypes.NumericDataType;
import net.sf.jsqlparser.schema.datatypes.StringDataType;
import edu.ucla.cs.SMOsTranslator.SchemaTranslator.DataTypeTranslator;

public class DataTypeTranslatortest extends TestCase {

	public void testNumericDataTypeTranslation(){

		NumericDataType type = new NumericDataType();
		type.setDataTypeName("int");
		type.setPrecision(5);
		type.setScale(0);

		DataTypeTranslator dataTypeTranslator = new DataTypeTranslator();

		assertEquals("int(5)",dataTypeTranslator.translateDataType(type));

		type.setScale(2);

		assertEquals("int(5,2)",dataTypeTranslator.translateDataType(type));
	}


	public void testStringDataTypeTranslation(){

		StringDataType type = new StringDataType();
		type.setDataTypeName("varchar");
		type.setLength(20);

		DataTypeTranslator dataTypeTranslator = new DataTypeTranslator();

		assertEquals("varchar(20)",dataTypeTranslator.translateDataType(type));

	}


	public static void main(String[] args){
		junit.swingui.TestRunner.run(CreateTableTestCase.class);
	}


}
