package edu.ucla.cs.db.prism.backend.icmo;

public class ICMOFactory {
	
	public static ICMOImpl createICMO(String string) throws ICMOTypeUnknownException
	{
		if(string.equalsIgnoreCase(ICMOInterface.ADD_PRIMARY_KEY))
			return new AddPrimaryKey(ICMOInterface.ADD_PRIMARY_KEY);
		if(string.equalsIgnoreCase(ICMOInterface.ADD_FOREIGN_KEY))
			return new AddForeignKey(ICMOInterface.ADD_FOREIGN_KEY);
		if(string.equalsIgnoreCase(ICMOInterface.ADD_VALUE_CONSTRAINT))
			return new AddValueConstraint(ICMOInterface.ADD_VALUE_CONSTRAINT);
		if(string.equalsIgnoreCase(ICMOInterface.DROP_PRIMARY_KEY))
			return new DropPrimaryKey(ICMOInterface.DROP_PRIMARY_KEY);
		if(string.equalsIgnoreCase(ICMOInterface.DROP_FOREIGN_KEY))
			return new DropForeignKey(ICMOInterface.DROP_FOREIGN_KEY);
		if(string.equalsIgnoreCase(ICMOInterface.DROP_VALUE_CONSTRAINT))
			return new DropValueConstraint (ICMOInterface.DROP_VALUE_CONSTRAINT);
		throw new ICMOTypeUnknownException(string);
		
	}
	
	
	

}
