package edu.ucla.cs.db.prism.backend.icmo;


/**
 * Abstract interface representing an Integrity Constraint Modification Operator
 * @author Carlo A. Curino (carlo@curino.us)
 *
 */
public interface ICMOInterface extends MOInterface{

	public static final String ADD_PRIMARY_KEY ="ADD PRIMARY KEY";
	public static final String DROP_PRIMARY_KEY ="DROP PRIMARY KEY";
	public static final String ADD_FOREIGN_KEY ="ADD FOREIGN KEY";
	public static final String DROP_FOREIGN_KEY ="DROP FOREIGN KEY";
	public static final String ADD_VALUE_CONSTRAINT ="ADD VALUE CONSTRAINT";
	public static final String DROP_VALUE_CONSTRAINT ="DROP VALUE CONSTRAINT";

	public static final String CHECK ="CHECK";
	public static final String ENFORCE ="ENFORCE";
	public static final String DECLARE ="DECLARE";

	
}
