package edu.ucla.cs.db.prism.backend.rewrite.update;

import edu.ucla.cs.db.prism.backend.SQL.SQL;

public class QueryPair {

	public String query1 = null;
	public String query2 = null;
	public boolean negated1 = false;
	public boolean negated2 = false;
	

	public QueryPair(String query1, String query2, boolean  negated1, boolean negated2) {
		super();
		this.query1 = query1;
		this.query2 = query2;
		this.negated1 = negated1;
		this.negated2 = negated2;
	}
	
	public String toString(){
		String out = "";

		SQL q1 = SQL.parseSQLString(query1);
		SQL q2 = SQL.parseSQLString(query2);
		
		if(negated1)
			out+= q1.toStringNegated();
		else
			out+=q1.toViewString(null);
		
		out+="\n = \n ";
		
		if(negated2)
			out+= q2.toStringNegated();
		else
			out+=q2.toViewString(null);
		
			
		return out;
		
	}	
}
