package edu.ucla.cs.db.prism.backend.service;

import java.sql.Connection;

import edu.ucla.cs.db.prism.backend.util.db.*;

public class DBManager {

	
	private String user = null;
	private String password = null;
	private String dburl = null;
	private String dbname = null;
	
	private Connection connection = null;
	
	public DBManager(String user, String password, String dbname, String dburl){
		this.user = user;
		this.password = password;
		this.dburl = dburl;
		this.dbname = dbname;
		this.connection = DBUtil.connect(dburl, dbname, user, password);
	}

	public String getUser() {
		return user;
	}

	public void setUser(String user) {
		this.user = user;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getDburl() {
		return dburl;
	}

	public void setDburl(String dburl) {
		this.dburl = dburl;
	}

	public Connection getConnection() {
		return connection;
	}

	public void setConnection(Connection connection) {
		this.connection = connection;
	}

	public String getDbname() {
		return dbname;
	}

	public void setDbname(String dbname) {
		this.dbname = dbname;
	}
	
	
	
}
