package edu.ucla.cs.db.prism.backend.util;

public class MySQLStringEscape {
    static final String fieldTerminator = ",";
    static final String lineTerminator = "\n";
    static final String escapeCharacter = "\\";
    
    static String escape(String str) {
    	// escape fieldTerminator, lineTerminator in str using escapeCharacter
    	String result = "";
    	
    	while(true) {
    		int index = str.indexOf(escapeCharacter);
    		
    		if(index==-1) {
    			result += str;
    			break;
    		}
    		else if (index == 0){
    			result += escapeCharacter + str.substring(index, index+1);
    			str = str.substring(index+1);
    		}
    		else {
    			result += str.substring(0, index);
    			result += escapeCharacter + str.substring(index, index+1);
    			str = str.substring(index+1);
    		}
    	}

    	str = result;
    	result = "";
    	while(true) {
    		int index = str.indexOf(fieldTerminator);
    		
    		if(index==-1) {
    			result += str;
    			break;
    		}
    		else if (index == 0){
    			result += escapeCharacter + str.substring(index, index+1);
    			str = str.substring(index+1);
    		}
    		else {
    			result += str.substring(0, index);
    			result += escapeCharacter + str.substring(index, index+1);
    			str = str.substring(index+1);
    		}
    	}
    	
    	str = result;
    	result = "";
    	while(true) {
    		int index = str.indexOf(lineTerminator);
    		
    		if(index==-1) {
    			result += str;
    			break;
    		}
    		else if (index == 0){
    			result += escapeCharacter + str.substring(index, index+1);
    			str = str.substring(index+1);
    		}
    		else {
    			result += str.substring(0, index);
    			result += escapeCharacter + str.substring(index, index+1);
    			str = str.substring(index+1);
    		}
    	}
    	
    	return result;
    }
}
