package edu.ucla.cs.db.prism.backend.util;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

public class StreamHandler extends Thread
{
    InputStream is;
    BufferedWriter bw;
    String type;
    
    public StreamHandler(InputStream is, BufferedWriter bw, String type)
    {
        this.is = is;
        this.bw = bw;
        this.type = type;
    }
    
    @Override
	public void run()
    {
        try
        {
            InputStreamReader isr = new InputStreamReader(is);
            BufferedReader br = new BufferedReader(isr);
            String line=null;
			int bufSize = 1024;
			char[] buffer = new char[bufSize];
			while(true) {
				int readBytes = br.read(buffer, 0, bufSize);
				if(readBytes == -1) break;
				if(bw != null)
					bw.write(buffer, 0, readBytes);
				//for(int i=0; i<readBytes; i++)
				//	System.out.print(buffer[i]);
			}
        } catch (IOException ioe)
          {
            ioe.printStackTrace();  
          }
    }
}
