package edu.ucla.cs.db.prism.backend.util.db;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.sql.DataSource;

public class DBUtil {

public static ResultSet executeSQLQuery(String query,Connection conn){
		
		Statement stmt = null;
		ResultSet rs = null;
		
		try {
		    stmt = conn.createStatement();
		    rs = stmt.executeQuery(query);

		} catch (SQLException e) {
			e.printStackTrace();
		}
		return rs;
    }

public static int executeSQLUpdate(String query,Connection conn){

	Statement stmt = null;
	int rs = -1;

	try {
	    stmt = conn.createStatement();
	    rs = stmt.executeUpdate(query);

	} catch (SQLException e) {
		System.out.println(query.substring(0,30));
		e.printStackTrace();
	}
	return rs;
}

public static Connection connect(String dbbaseurl,String dbname, String user, String pass ) {
	Connection conn = null;
	try {
	    conn = DriverManager.getConnection(dbbaseurl+dbname,user,pass);

	} catch (SQLException ex) {
	    // handle any errors
	    System.out.println("SQLException: " + ex.getMessage());
	    System.out.println("SQLState: " + ex.getSQLState());
	    System.out.println("VendorError: " + ex.getErrorCode());
	}
	
	return conn;	
}


/**
 * Receive a reference to a Datasource dbname and return a connection to it. UNTESTED!!!
 * @param dbname
 * @return
 */
public static Connection tomcatconnect(String dbname) {
	
	// THIS CODE IS UNTESTED!!!
	   Connection conn = null;
	try{
      Context ctx = new InitialContext();
      if(ctx == null ) 
          throw new Exception("ERROR: - No Context");

      DataSource ds = (DataSource)ctx.lookup("java:comp/env/jdbc/" + dbname);

      if (ds != null) {
    	  conn= ds.getConnection();
      }

	}catch(Exception e) {
      e.printStackTrace();
    }
    return conn;
 }

}
