package edu.ucla.cs.db.prism.gui.client;

import java.io.Serializable;
import java.util.Vector;

public class ClientOperatorSequence implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	public int majorSourceVersion;
	public int minorSourceVersion;
	public int majorTargetVersion;
	public int minorTargetVersion;
	
	public Vector<ClientOperator> smos;

	public ClientOperatorSequence(){}
	public ClientOperatorSequence(int majorSourceVersion, int minorSourceVersion,
			int majorTargetVersion, int minorTargetVersion) {
		super();
		this.majorSourceVersion = majorSourceVersion;
		this.minorSourceVersion = minorSourceVersion;
		this.majorTargetVersion = majorTargetVersion;
		this.minorTargetVersion = minorTargetVersion;
		
		smos = new Vector<ClientOperator>();

	}
	
	@Override
	public String toString(){

		String r ="";
		for(int i = 0; i< smos.size(); i++){
			r += smos.get(i).toString() + "<br>";
		}
		return r;
	}
	
	
	public String toMetadataString(){

		String r ="";
		for(int i = 0; i< smos.size(); i++){
			r += (smos.get(i)).toMetadataString() + "<br>";
		}
		return r;
	}
	public int getMajorSourceVersion() {
		return majorSourceVersion;
	}
	public void setMajorSourceVersion(int majorSourceVersion) {
		this.majorSourceVersion = majorSourceVersion;
	}
	public int getMinorSourceVersion() {
		return minorSourceVersion;
	}
	public void setMinorSourceVersion(int minorSourceVersion) {
		this.minorSourceVersion = minorSourceVersion;
	}
	public int getMajorTargetVersion() {
		return majorTargetVersion;
	}
	public void setMajorTargetVersion(int majorTargetVersion) {
		this.majorTargetVersion = majorTargetVersion;
	}
	public int getMinorTargetVersion() {
		return minorTargetVersion;
	}
	public void setMinorTargetVersion(int minorTargetVersion) {
		this.minorTargetVersion = minorTargetVersion;
	}
	public Vector<ClientOperator> getSmos() {
		return smos;
	}
	public void setSmos(Vector<ClientOperator> smos) {
		this.smos = smos;
	}
	
	
}
