package edu.ucla.cs.db.prism.gui.client;

import java.io.Serializable;
import com.google.gwt.user.client.ui.HTML;

public class ClientState implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	public String currentSchema = null;
	public String dburltb = null;
	public String usertb = null;
	public String passwordtb = null;
	public String schemaName = null;
	public String metaSchemaName = null;
	protected ClientOperatorSequence smosequence = null;
	public int majorTargetVersion;
	public int minorTargetVersion;
	public String ip = "";
	public boolean icsupport;
	public boolean backchase;
	public String version;
	public String error;	
	public boolean loadcompletehistory;

	

	public boolean isLoadcompletehistory() {
		return loadcompletehistory;
	}

	public void setLoadcompletehistory(boolean loadcompletehistory) {
		this.loadcompletehistory = loadcompletehistory;
	}

	public boolean getICSupport(){
		return icsupport;
	}
	
	public boolean getBackchase(){
		return backchase;
	}
	
	public void setICSupport(boolean b){
		 icsupport = b;
	}
	
	public void setBackchase(boolean b){
		 backchase = b;
	}
	
	
	
	public ClientState(){
		
		
	}
	public ClientState(String dburl, String user, String pass, String metaSchemaName, String schema){
		this.dburltb = dburl;
		this.usertb = user;
		this.passwordtb = pass;
		this.schemaName = schema;
		this.metaSchemaName = metaSchemaName;
	}
	
	public HTML toStatusHTML(){
		return new HTML(toStatusString());
		
	}
	
	public String toStatusString(){
		return		    " user: " + usertb + "<br />" +
						" metaSchemaName: " + metaSchemaName +"<br />" +
						" schemaName: " + schemaName + "<br />";
		
	}
	
	public String toCookie(){
		
		return "db:" + dburltb +
			   "%%us:" + usertb + 
			   "%%pw:" + passwordtb + 
			   "%%ms:" + metaSchemaName +
			   "%%sn:" + schemaName;
	}
	/*
	public static ClientState fromCookie(String in){
		String[] values = in.split("%%");	
		return new ClientState(values[0].substring(3),values[1].substring(3),values[2].substring(3),values[3].substring(3),values[4].substring(3));
	}*/
	
	public String getDburltb() {
		return dburltb;
	}
	public void setDburltb(String dburltb) {
		this.dburltb = dburltb;
	}
	public String getUsertb() {
		return usertb;
	}
	public void setUsertb(String usertb) {
		this.usertb = usertb;
	}
	public String getPasswordtb() {
		return passwordtb;
	}
	public void setPasswordtb(String passwordtb) {
		this.passwordtb = passwordtb;
	}
	public String getSchemaName() {
		return schemaName;
	}
	public void setSchemaName(String schemaName) {
		this.schemaName = schemaName;
	}

	public String getMetaSchemaName() {
		return metaSchemaName;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

	public void setMetaSchemaName(String metaSchemaName) {
		this.metaSchemaName = metaSchemaName;
	}

	public String getCurrentSchema() {
		return currentSchema;
	}

	public void setCurrentSchema(String currentSchema) {
		this.currentSchema = currentSchema;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	
}
