package edu.ucla.cs.db.prism.gui.client;

import java.io.Serializable;

public class SingleQueryRewriteResult implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	public String queryResult = "";
	public String error  ="";
	public String rewritingtime ="-1ms";
	
	public SingleQueryRewriteResult(){
		
	}
	
	public SingleQueryRewriteResult( String queryResult,
			 String error,  String rewritingtime) {
		this.queryResult = queryResult;
		this.error = error;
		this.rewritingtime = rewritingtime;
	}

	public boolean isSucceeded() {
		return error.equals("");
	}


	public String getQueryResult() {
		return queryResult;
	}

	public void setQueryResult(String queryResult) {
		this.queryResult = queryResult;
	}

	public String getError() {
		return error;
	}

	public void setError(String error) {
		this.error = error;
	}

	public String getRewritingtime() {
		return rewritingtime;
	}

	public void setRewritingtime(String rewritingtime) {
		this.rewritingtime = rewritingtime;
	}
	
	
}
