package edu.ucla.cs.db.prism.gui.server;

import edu.ucla.cs.db.prism.backend.BackendUtil;
import edu.ucla.cs.db.prism.backend.ICBackendUtil;
import edu.ucla.cs.db.prism.backend.schema.exception.IllegalSMOException;
import edu.ucla.cs.db.prism.gui.client.ClientState;

public class ServerSideClientState {

	
	public ClientState cs = null;
	public BackendUtil be = null;
	public String ip = null;
	public ServerSideClientState(String ip){
		this.ip = ip;
	}	
	
	public void setClientState(ClientState cs, boolean icenabled){
		this.cs = cs;
		
		if(icenabled){

				try {
					be = new ICBackendUtil(cs.dburltb, cs.usertb, cs.passwordtb, cs.schemaName,cs.getVersion(), cs.metaSchemaName, ip, cs.isLoadcompletehistory());
				} catch (IllegalSMOException e) {
					cs.error = "ERROR:" + e.getMessage();
					//e.printStackTrace();
				}

		}else{
			be = new BackendUtil(cs.dburltb, cs.usertb, cs.passwordtb, cs.schemaName,cs.getVersion(), cs.metaSchemaName, ip);
		}
	}
	
}
