/**
 * Copyright (C) 2009 
 * Developer: Fabrizio Moroni fabrizio.moroni@yahoo.it
 * Contributor: Carlo Curino	carlo@curino.us
 * 
 *  * This file is part of SchemEvolutionToolsuite
 * 
 * SchemEvolutionToolsuite is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * SchemaEvolutionToolsuite is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with SchemEvolutionToolsuite.  If not, see <http://www.gnu.org/licenses/>.
 */

package edu.ucla.cs.statistics;

import java.util.ArrayList;

public class StatisticGroup {

	private String groupName;
	private ArrayList<Statistic> stats;
	private String groupPage;
	private String groupTitle;
	private String groupSubTitle;
	
	
	public StatisticGroup(){
		stats = new ArrayList<Statistic>();
	}
	
	
	/**
	 * TODO
	 * @param name
	 */
	public StatisticGroup(String name,String page,String title){
		
		stats = new ArrayList<Statistic>();
		this.groupName = name;
		this.groupPage = page;
		this.groupTitle = title;
	}
	
	
	
	//**************************//
	//	GETTERS AND SETTERS		//
	//**************************//
	
	
	public String getGroupName() {
		return groupName;
	}
	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}
	public ArrayList<Statistic> getStats() {
		return stats;
	}
	public void setStats(ArrayList<Statistic> stats) {
		this.stats = stats;
	}



	public String getGroupPage() {
		return groupPage;
	}



	public void setGroupPage(String groupPage) {
		this.groupPage = groupPage;
	}



	public String getGroupTitle() {
		return groupTitle;
	}



	public void setGroupTitle(String groupTitle) {
		this.groupTitle = groupTitle;
	}



	public String getGroupSubTitle() {
		return groupSubTitle;
	}



	public void setGroupSubTitle(String groupSubTitle) {
		this.groupSubTitle = groupSubTitle;
	}

	
	
}
