package edu.ucla.cs.velocity.template;

import java.util.ArrayList;

import org.apache.velocity.Template;
import org.apache.velocity.VelocityContext;


public class AddPrimaryKeyTemplate {

	
	private static Template getAddPrimaryKeyTemplate(){
		return VelocityTemplateDispatcher.getVelocityTemplate("AddPrimaryKey.vm");
	}
	
	public static String getAddPrimaryKeySMO(String tableName, String indexName, ArrayList<String> columnNames,String pkeyType){
		
		Template t = getAddPrimaryKeyTemplate();
		VelocityContext context;
		String primaryKeyDefaultName = "\"PRIMARY\"";

		context = new VelocityContext();

		context.put("tableName", tableName);
		context.put("primaryKeyName", indexName!=null?indexName:primaryKeyDefaultName);
		context.put("primaryKeyColumns", columnNames);
		context.put("primaryKeyType", pkeyType);

		return VelocityTemplateDispatcher.mergeContextIntoString(context, t);
		
	}
	
		
}
