package edu.ucla.cs.velocity.template;

import net.sf.jsqlparser.statement.create.table.CreateTable;

import org.apache.velocity.Template;
import org.apache.velocity.VelocityContext;

import edu.ucla.cs.SMOsTranslator.SchemaTranslator.DataTypeTranslator;


public class CreateTableTemplate {

	
	private static Template getCreateTableTemplate(){
		return VelocityTemplateDispatcher.getVelocityTemplate("CreateTable.vm");
	}
	
	public static String getCreateTableSMO(CreateTable stmt){
		
		CreateTable create = (CreateTable)stmt;

		Template t = getCreateTableTemplate();
		VelocityContext context = new VelocityContext();

		context.put("tableName", create.getTable().getName());
		context.put("DataTypeTranslator", DataTypeTranslator.class);
		context.put("createTableColumns", create.getColumnDefinitions());
		context.put("customerList", create.getColumnDefinitions());

		return VelocityTemplateDispatcher.mergeContextIntoString(context, t);
	}
		
}
