package edu.ucla.cs.velocity.template;

import java.util.List;

import net.sf.jsqlparser.schema.Column;

import org.apache.velocity.Template;
import org.apache.velocity.VelocityContext;


public class DecomposeTableTemplate {

	
	private static Template getDecomposeTableTemplate(){
		return VelocityTemplateDispatcher.getVelocityTemplate("DecomposeTable.vm");
	}
	
	public static String getDecomposeTableSMO(String tableName, String tableName1, String tableName2, List<Column> table1Columns, List<Column> table2Columns){
		
		Template t = getDecomposeTableTemplate();
		VelocityContext context  = null;

		context = new VelocityContext();
		context.put("tableName",tableName);
		context.put("tableName1",tableName1);
		context.put("tableName2",tableName2);
		context.put("table1Columns",table1Columns);
		context.put("table2Columns",table2Columns);

		return VelocityTemplateDispatcher.mergeContextIntoString(context, t);
		
	}
	
}
