package edu.ucla.cs.velocity.template;

import java.util.ArrayList;

import net.sf.jsqlparser.schema.Table;

import org.apache.velocity.Template;
import org.apache.velocity.VelocityContext;


public class DropTableTemplate {

	
	private static Template getDropTableTemplate(){
		return VelocityTemplateDispatcher.getVelocityTemplate("DropTable.vm");
	}
	
	public static String getDropTableSMO(Table table){
		
		return getDropTableSMO(table.getName()); 		
	}
	
	
	public static String getDropTableSMO(String tableName){
	
		Template t = getDropTableTemplate();
		VelocityContext context  = null;
	
		context = new VelocityContext();
		context.put("tableName",tableName);
		
		return VelocityTemplateDispatcher.mergeContextIntoString(context, t);
		
	}
	
	
	public static ArrayList<String> getDropTablesSMOs(ArrayList<Table> tables){
		
		ArrayList<String> smos = new ArrayList<String>();
		
		for(Table table: tables){
			smos.add(getDropTableSMO(table.getName()));
		}
		return smos;
	}
	
	
}
