package edu.ucla.cs.velocity.template;

import net.sf.jsqlparser.schema.Table;

import org.apache.velocity.Template;
import org.apache.velocity.VelocityContext;


public class MergeTableTemplate {

	
	private static Template getMergeTableTemplate(){
		return VelocityTemplateDispatcher.getVelocityTemplate("MergeTable.vm");
	}
	
	public static String getMergeTableSMO(String partition1, String partition2, String table){
		
		Template t = getMergeTableTemplate();
		VelocityContext context  = new VelocityContext();
		context.put("partition1",partition1);
		context.put("partition2",partition2);
		context.put("table", table);
		return VelocityTemplateDispatcher.mergeContextIntoString(context, t);
	}
	
	
	public static String getMergeTableSMO(Table partition1, Table partition2, Table table){
		return getMergeTableSMO(partition1.getName(), partition2.getName(), table.getName());
	}
	
		
	
}
