package edu.ucla.cs.velocity.template;

import org.apache.velocity.Template;
import org.apache.velocity.VelocityContext;


public class PartitionTableTemplate {


	private static Template getPartitionTableTemplate(){
		return VelocityTemplateDispatcher.getVelocityTemplate("PartitionTable.vm");
	}
	
	public static String getPartitionTableSMO(PartitionTemplateSource partition){
		
		Template t = getPartitionTableTemplate();
		VelocityContext context  = new VelocityContext();
		context.put("table",partition.getTableName());
		context.put("tablePartition1",partition.getTablePartition1());
		context.put("tablePartition2",partition.getTablePartition2());
		context.put("partitionCondition1",partition.getPartitionCondition1());
		context.put("partitionCondition2",partition.getPartitionCondition2());
		return VelocityTemplateDispatcher.mergeContextIntoString(context, t);
	}
	
	
	public static String getPartitionTableSMO(String partition1, String partition2, String condition1, String condition2, String table){
		
		Template t = getPartitionTableTemplate();
		VelocityContext context  = new VelocityContext();
		context.put("table",table);
		context.put("tablePartition1",partition1);
		context.put("tablePartition2",partition2);
		context.put("partitionCondition1",condition1);
		context.put("partitionCondition2",condition2);
		return VelocityTemplateDispatcher.mergeContextIntoString(context, t);
	}

}
