package edu.ucla.cs.velocity.template;

import org.apache.velocity.Template;
import org.apache.velocity.VelocityContext;


public class RenameTableTemplate {

	
	private static Template getRenameTableTemplate(){
		return VelocityTemplateDispatcher.getVelocityTemplate("RenameTable.vm");
	}
	
	
	public static String getRenameTableSMO(String oldName,String newName){
		
		Template t = getRenameTableTemplate();
		VelocityContext context  = null;

		context = new VelocityContext();
		context.put("oldTableName",oldName);
		context.put("newTableName",newName);

		return VelocityTemplateDispatcher.mergeContextIntoString(context, t);
		
	}
	
	
}
