/**
 * Copyright (C) 2007 Giorgio Orsi
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */
package it.polimi.elet.cautils.configurator.exceptions;

/**
 * @author Giorgio Orsi (orsi@elet.polimi.it)
 * @version 1.0
 */
public class ReservedOptionException extends RuntimeException {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    /**
     * Generates a new reserved option exception.
     */
    public ReservedOptionException () {
	super();
    }
    
    /**
     * Generates a new reserved option exception.
     * @param msg The message to be printed.
     */
    public ReservedOptionException (String msg) {
	super(msg);
    }
}
